#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'settingsdlg_advanced.ui'
**
** Created: 2013-08-06T10:57:13
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "settingsdlg_advanced.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AdvancedPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AdvancedPage::AdvancedPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "advancedPage" );
    advancedPageLayout = new QGridLayout( this, 1, 1, 0, 6, "advancedPageLayout"); 
    spacer2 = new QSpacerItem( 31, 41, QSizePolicy::Minimum, QSizePolicy::Expanding );
    advancedPageLayout->addItem( spacer2, 3, 1 );

    timeoutLbl = new QLabel( this, "timeoutLbl" );

    advancedPageLayout->addWidget( timeoutLbl, 0, 0 );

    compressionLbl = new QLabel( this, "compressionLbl" );

    advancedPageLayout->addWidget( compressionLbl, 1, 0 );

    kcfg_UseSshAgent = new QCheckBox( this, "kcfg_UseSshAgent" );

    advancedPageLayout->addMultiCellWidget( kcfg_UseSshAgent, 2, 2, 0, 1 );

    kcfg_Compression = new KIntNumInput( this, "kcfg_Compression" );
    kcfg_Compression->setMinValue( 0 );
    kcfg_Compression->setMaxValue( 9 );

    advancedPageLayout->addWidget( kcfg_Compression, 1, 1 );

    kcfg_Timeout = new KIntNumInput( this, "kcfg_Timeout" );
    kcfg_Timeout->setMinValue( 0 );
    kcfg_Timeout->setMaxValue( 50000 );

    advancedPageLayout->addWidget( kcfg_Timeout, 0, 1 );
    languageChange();
    resize( QSize(575, 290).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    timeoutLbl->setBuddy( kcfg_Timeout );
    compressionLbl->setBuddy( kcfg_Compression );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AdvancedPage::~AdvancedPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AdvancedPage::languageChange()
{
    timeoutLbl->setText( tr2i18n( "&Timeout after which a progress dialog appears (in ms):" ) );
    compressionLbl->setText( tr2i18n( "Default compression &level:" ) );
    kcfg_UseSshAgent->setText( tr2i18n( "Utilize a running or start a new ssh-agent process" ) );
}

/****************************************************************************
** AdvancedPage meta object code from reading C++ file 'settingsdlg_advanced.h'
**
** Created: Tue Aug 6 10:57:13 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "settingsdlg_advanced.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AdvancedPage::className() const
{
    return "AdvancedPage";
}

QMetaObject *AdvancedPage::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AdvancedPage( "AdvancedPage", &AdvancedPage::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AdvancedPage::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AdvancedPage", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AdvancedPage::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AdvancedPage", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AdvancedPage::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AdvancedPage", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AdvancedPage.setMetaObject( metaObj );
    return metaObj;
}

void* AdvancedPage::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AdvancedPage" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AdvancedPage::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AdvancedPage::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AdvancedPage::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AdvancedPage::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
